%define tarball xf86-video-i810
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%ifarch %{ix86} x86_64 ia64
%define with_dri        1
%else
%define with_dri        0
%endif

%define gitdate 20060808

Summary:   Xorg X11 i810 video driver(s)
Name:      xorg-x11-drv-i810
Version:   1.6.5
Release:   9%{?dist}
URL:       http://www.x.org
License:   MIT/X11
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:   ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source1:   xf86-video-intel-1.6.0-git-modesetting-%{gitdate}.tar.bz2
Source2:   i810.xinf

# modesetting driver patches
Patch0: intel-prune-by-edid-pixclock.patch
Patch1: intel-driver-rename.patch
Patch2: intel-945gm-lfp-blacklist.patch

# stock driver patches
Patch100: i810-1.6.5-to-git-20060911.patch
Patch101: i810-match-server-sync-ranges.patch

ExclusiveArch: %{ix86} x86_64 ia64

BuildRequires: pkgconfig
BuildRequires: autoconf automake libtool
BuildRequires: xorg-x11-server-sdk >= 1.1.0-2
BuildRequires: libXvMC-devel
%if %{with_dri}
BuildRequires: mesa-libGL-devel >= 6.5-9
BuildRequires: libdrm-devel >= 2.0-1
%endif

Requires:  xorg-x11-server-Xorg >= 1.1.0-1

Conflicts:  kudzu < 1.2.42-1

%description 
X.Org X11 i810 video driver.

%package devel
Summary:   Xorg X11 i810 video driver XvMC development package
Group:     Development/System
Requires:  %{name} = %{version}-%{release}

%description devel
X.Org X11 i810 video driver XvMC development package.

%prep
%setup -q -c %{tarball}-%{version} -a0 -a1
%patch0 -p0 -b .edid-pixclock
%patch1 -p0 -b .driver-rename
%patch2 -p1 -b .lfp-blacklist
%patch100 -p1 -b .i810-git-20060911
%patch101 -p1 -b .server-ranges

%build
%if %{with_dri}
DRI_OPT='--enable-dri'
%else
DRI_OPT='--disable-dri'
%endif
OPTS="--disable-static --libdir=%{_libdir} --mandir=%{_mandir} ${DRI_OPT}"
cd xf86-video-i810-%{version} && ./configure ${OPTS} && make && cd .. || exit 1
cd xf86-video-intel           && ./autogen.sh ${OPTS} && make && cd .. || exit 1

%install
rm -rf $RPM_BUILD_ROOT

cd xf86-video-intel           && make install DESTDIR=$RPM_BUILD_ROOT && cd .. \
    || exit 1
# cheesy manpage fixup
mv ${RPM_BUILD_ROOT}/usr/share/man/man4/{i810,intel}.4
cd xf86-video-i810-%{version} && make install DESTDIR=$RPM_BUILD_ROOT && cd .. \
    || exit 1

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/i810_drv.so
%{driverdir}/intel_drv.so
%{driverdir}/ch7xxx.so
%{driverdir}/sil164.so
%{_datadir}/hwdata/videoaliases/i810.xinf
%dir %{_libdir}
%{_libdir}/libI810XvMC.so.1
%{_libdir}/libI810XvMC.so.1.0.0
#%dir %{_mandir}/man4x
%{_mandir}/man4/i*

%files devel
%defattr(-,root,root,-)
%dir %{_libdir}
%{_libdir}/libI810XvMC.so

%changelog
* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 1.6.5-9
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Fri Sep 22 2006 Adam Jackson <ajackson@redhat.com> 1.6.5-8.fc6
- Change 'Requires: kudzu >= foo' to 'Conflicts: kudzu < foo' since we don't
  actually require kudzu to run.

* Fri Sep 15 2006 Adam Jackson <ajackson@redhat.com> 1.6.5-7.fc6
- i810.xinf: Whitelist Apple 945GM machines and Aopen Mini PC onto intel(4)

* Tue Sep 12 2006 Adam Jackson <ajackson@redhat.com> 1.6.5-6.fc6
- i810-1.6.5-to-git-20060911.patch: Backport post-1.6.5 fixes from git.
- i810-match-server-sync-ranges.patch: Make a terrible heuristic in the
  driver match the corresponding terrible heuristic in the server.

* Mon Aug 28 2006 Adam Jackson <ajackson@redhat.com> 1.6.5-5.fc6
- intel-945gm-lfp-blacklist.patch: Tweak the Apple blacklist to (hopefully)
  correctly distinguish between Mac Mini and Macbook Pro.

* Mon Aug 21 2006 Adam Jackson <ajackson@redhat.com> 1.6.5-4.fc6
- i810.xinf: PCI IDs for i965.

* Thu Aug 17 2006 Adam Jackson <ajackson@redhat.com> 1.6.5-3.fc6
- i810.xinf: Uppercase PCI IDs.

* Fri Aug 10 2006 Adam Jackson <ajackson@redhat.com> 1.6.5-2.fc6
- Update i810 to 1.6.5, should fix DRI.
- Add kuzdu requires.
- i810.xinf: Start whitelisting devices over to intel.

* Wed Aug  9 2006 Adam Jackson <ajackson@redhat.com> 1.6.4-3.fc6
- intel-driver-rename.patch: Fix the driver name in more places so it'll,
  you know, load.

* Wed Aug  9 2006 Adam Jackson <ajackson@redhat.com> 1.6.4-2.fc6
- intel-945gm-lfp-blacklist.patch: At anholt's suggestion, remove the other
  LFP special casing in favor of the blacklist.

* Wed Aug  9 2006 Adam Jackson <ajackson@redhat.com> 1.6.4-1.fc6
- Admit defeat, kinda.  Package both i810 stable and modesetting drivers.
  The modesetting driver is installed as intel_drv.so instead of i810_drv.so,
  and is selected with Driver "intel" in xorg.conf.  Individual devices will
  whitelist over to "intel" until that branch gets merged into head.
- Update the stable branch driver to 1.6.4 from upstream, adds i965 support.
- intel-945gm-lfp-blacklist.patch: Blacklist LFP detection on machines where
  the BIOS is known to lie.

* Tue Aug  8 2006 Adam Jackson <ajackson@redhat.com> 1.6.0-14.20060808modeset.fc6
- Today's snapshot: I2C bus creation fix.

* Wed Aug  2 2006 Adam Jackson <ajackson@redhat.com> 1.6.0-13.20060717modeset.fc6
- intel-prune-by-edid-pixclock.patch: Honor the EDID-reported maximum pixel
  clock when computing the modes list.
- intel-virtual-sizing-bogon.patch: Don't interpret the size of the display
  in centimeters as the size of the display in pixels.

* Mon Jul 24 2006 Adam Jackson <ajackson@redhat.com> 1.6.0-12.20060717modeset.fc6
- Disable spread-spectrum LVDS, various crash and hang fixes, saner output
  probing.

* Thu Jul 13 2006 Adam Jackson <ajackson@redhat.com> 1.6.0-11.20060713modeset.fc6
- Update again for a mode comparison bugfix.

* Thu Jul 13 2006 Adam Jackson <ajackson@redhat.com> 1.6.0-10.20060713modeset.fc6
- Update to today's git; crash fixes, better pre-915 support, slightly better
  autoconfigurability.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> 1.6.0-9.20060707modeset.1.fc6
- rebuild

* Tue Jul 11 2006 Adam Jackson <ajackson@redhat.com> 1.6.0-9.20060707modeset
- Fix Revision number to match naming policy.

* Tue Jul 11 2006 Kristian Høgsberg <krh@redhat.com> 1.6.0-8.modeset20060707
- Add back modesetting changes.

* Mon Jul 10 2006 Kristian Høgsberg <krh@redhat.com> 1.6.0-7
- Roll back modesetting changes and build for fc5 aiglx repo.

* Fri Jul  7 2006 Adam Jackson <ajackson@redhat.com> 1.6.0-6.modeset20060707
- Snapshot of the git modesetting branch.

* Fri Jul  7 2006 Adam Jackson <ajackson@redhat.com> 1.6.0-6
- Update i810.xinf to include entries for E7221 and 945GM.

* Fri Jun 23 2006 Mike A. Harris <mharris@redhat.com> 1.6.0-5
- Add with_dri macro to spec file, and conditionalize build time DRI support

* Fri May 26 2006 Mike A. Harris <mharris@redhat.com> 1.6.0-4
- Added "BuildRequires: libdrm >= 2.0-1" for (#192334), and updated sdk dep
  to pick up proto-devel as well.

* Tue May 23 2006 Adam Jackson <ajackson@redhat.com> 1.6.0-3
- Rebuild for 7.1 ABI fix.

* Tue Apr 11 2006 Kristian Høgsberg <krh@redhat.com> 1.6.0-2
- Bump for fc5-bling build.

* Sun Apr 09 2006 Adam Jackson <ajackson@redhat.com> 1.6.0-1
- Update to 1.6.0 from 7.1RC1.

* Tue Apr 04 2006 Kristian Høgsberg <krh@redhat.com> 1.4.1.3-4.cvs20060322.1
- Add patch to add missing #include's, specifically assert.h.

* Wed Mar 22 2006 Kristian Høgsberg <krh@redhat.com> 1.4.1.3-4.cvs20060322
- Update to CVS snapshot of 20060322.

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 1.4.1.3-3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Feb 04 2006 Mike A. Harris <mharris@redhat.com> 1.4.1.3-3
- Added 8086:2772 mapping to i810.xinf for bug (#178451)

* Fri Feb 03 2006 Mike A. Harris <mharris@redhat.com> 1.4.1.3-2
- Added 8086:2592 mapping to i810.xinf for bug (#172884)

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.4.1.3-1
- Updated xorg-x11-drv-i810 to version 1.4.1.3 from X11R7.0

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 1.4.1.2-1
- Updated xorg-x11-drv-i810 to version 1.4.1.2 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 1.4.1-1
- Updated xorg-x11-drv-i810 to version 1.4.1 from X11R7 RC2

* Fri Nov 04 2005 Mike A. Harris <mharris@redhat.com> 1.4.0.1-1
- Updated xorg-x11-drv-i810 to version 1.4.0.1 from X11R7 RC1
- Fix *.la file removal.
- Added 'devel' subpackage for XvMC .so
- Added 'BuildRequires: libXvMC-devel' for XvMC drivers.

* Mon Oct 03 2005 Mike A. Harris <mharris@redhat.com> 1.4.0-1
- Update BuildRoot to use Fedora Packaging Guidelines.
- Deglob file manifest.
- Limit "ExclusiveArch" to x86, x86_64, ia64

* Fri Sep 02 2005 Mike A. Harris <mharris@redhat.com> 1.4.0-0
- Initial spec file for i810 video driver generated automatically
  by my xorg-driverspecgen script.
